//
//  main.c
//  Atmega168_IO
//
//  Created by Joshua Schapiro on 8/11/14.
//

#include "avr_compiler.h"


int main(void){
    
    DDRB |= (1 << 0);   // set led pin to an outout
    DDRD &= ~(1 << 2);  // set button pin to an input
    PORTD |= (1 << 2);  // enable pullup resistor on button
    
    while (true) {
        
        if((PIND & (1 << 2)) == 0){ // read in button
            PORTB |= (1 << 0); // set led high
            _delay_ms(100);
        } else {
            PORTB &= ~(1 << 0);// set led low
            _delay_ms(100);
        }
    
    }
}
